.poker-blocks {
  /* font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Arial, sans-serif; */
  margin: 2rem 0;
}
.poker-blocks.poker-blocks-single {
  margin-top: 0;
}

@media screen and (min-width: 768px) {
  .poker-blocks {
    margin: 3rem 0;
  }
}

.poker-block {
  position: relative;
  margin: 0 auto;
  max-width: 1200px;
  border-radius: 0.75rem;
  background: white;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}
.poker-block-clickable:hover {
  box-shadow: rgba(6, 24, 44, 0.4) 0px 0px 0px 2px,
    rgba(6, 24, 44, 0.65) 0px 4px 6px -1px,
    rgba(255, 255, 255, 0.08) 0px 1px 0px inset;
}
.poker-block + .poker-block {
  margin-top: 1.5rem;
}
.poker-block > div:first-of-type {
  border-radius: 0.75rem 0.75rem 0 0;
}
.poker-block > div:last-of-type {
  border-radius: 0 0 0.75rem 0.75rem;
}
@media screen and (min-width: 1024px) {
  .poker-block + .poker-block {
    margin-top: 3rem;
  }
}

.poker-block .poker-block-link {
  position: absolute;
  z-index: 5;
  border-radius: 0.75rem;
  text-indent: -9999px;
  cursor: pointer;

  inset: 0;
}
.poker-block a.poker-block-link {
  outline: none;
}
@media screen and (min-width: 1024px) {
  .poker-block .poker-block-link {
    inset: 0 25% 0 0;
  }
}

.poker-block .header {
  position: relative;
  display: flex;
  overflow: hidden;
  flex-direction: column;
  font-weight: 600;
}

.poker-block .header-left {
  position: relative;
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 1.5rem;
  background: #333;

  gap: 0.75rem;
}

@media screen and (min-width: 1024px) {
  .poker-block .header {
    flex-direction: row;
  }
  .poker-block .header-left {
    flex: 0 0 30%;
  }
}

.poker-block .rating {
  color: white;
  font-weight: 900;
  font-size: 2rem;
}

.poker-block .location {
  display: flex;
  align-items: center;
  color: rgba(255, 255, 255, 0.7);
  font-size: 16px;

  gap: 8px;
}

.poker-block .badge {
  position: absolute;
  top: 1rem;
  right: 1rem;
  width: 2.5rem;
  height: 2.5rem;
  border-radius: 50%;
  background: #ff9900;
  color: white;
  text-align: center;
  font-weight: bold;
  font-size: 20px;
  line-height: 2.5rem;
}

@media screen and (min-width: 1024px) {
  .poker-block .badge {
    top: 50%;
    left: 30%;
    transform: translate(-50%, -50%);
  }
}

.poker-block .header-right {
  display: flex;
  align-items: stretch;
  flex: 1;
  flex-direction: column;
  justify-content: space-between;
  padding: 1.5rem;
  background: white;

  gap: 2rem;
}

@media screen and (min-width: 768px) {
  .poker-block .header-right {
    flex-direction: row;
  }
}

@media screen and (min-width: 1024px) {
  .poker-block .header-right {
    padding: 1rem 2.5rem;
  }
}

.poker-block .bonus-column {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  max-width: 400px;
}

@media screen and (min-width: 768px) {
  .poker-block .bonus-column {
    flex: 1 0 45%;
    margin: 0;
    max-width: none;
  }
}

.poker-block .bonus-box {
  padding: 24px;
  width: 100%;
  border-radius: 0.35rem;
  background: #00b858;
  color: #044e27;
}

.poker-block .bonus-title {
  margin-bottom: 4px;
  font-weight: bold;
  font-size: 16px;
}

.poker-block .bonus-description {
  font-weight: bold;
  font-size: 24px;
}

.poker-block .bonus-amount {
  margin-bottom: 8px;
  font-weight: 500;
  font-size: 24px;
}

.poker-block .bonus-extra {
  font-size: 20px;
}

.poker-block .info-column {
  display: flex;
  flex: 0 1 30%;
  justify-content: center;

  gap: 3rem;
}

@media screen and (min-width: 768px) {
  .poker-block .info-column {
    flex-direction: column;

    gap: 1rem;
  }
}

.poker-block .payment-info,
.poker-block .device-info {
  display: flex;
  align-items: center;
  flex-direction: column;

  gap: 0.5rem;
}

@media screen and (min-width: 768px) {
  .poker-block .payment-info,
  .poker-block .device-info {
    align-items: start;
  }
}

.poker-block .info-title {
  color: #666;
  font-size: 0.9rem;
}

.poker-block .info-icons {
  display: flex;
  flex-wrap: wrap;
  opacity: 0.65;

  gap: 0.35rem;
}

.poker-block .info-icons img {
  width: 24px;
  height: 24px;
}

@media screen and (min-width: 768px) {
  .poker-block .action-column {
    flex: 0 0 25%;
  }
}

.poker-block .action-column-inner {
  display: flex;
  align-items: stretch;
  flex-direction: column;
  justify-content: center;
  margin: 0 auto;
  max-width: 300px;
  height: 100%;
  text-align: center;

  gap: 0.65rem;
}

.poker-block .code-block {
  position: relative;
  z-index: 10;
  padding: 0.5rem;
  border: 1px dashed #e9a261;
  border-radius: 0.35rem;
  color: #333;
  text-align: center;
  font-size: 14px;
  line-height: 1;
  cursor: pointer;

  gap: 0.5rem;
}
.poker-block .code-block:hover {
  border: 1px dotted #f29741;
}
.poker-block .code-block::after {
  position: absolute;
  content: '';

  inset: -0.3rem;
}
.poker-block .code-block-code {
  word-wrap: break-word;
}
@media screen and (min-width: 768px) {
  .poker-block .code-block-code {
    display: inline-block;
    margin: 0 auto;
    max-width: 14ch;
  }
}
.poker-block .code-block-code span,
.poker-block .code-block-code img {
  vertical-align: middle;
}
.poker-block .code-block-description {
  margin-top: 0.2rem;
  color: gray;
  font-weight: 400;
  font-style: normal;
  font-size: 0.6rem;
  line-height: 1;
}

.poker-block .signup-btn {
  padding: 0.5rem;
  border-radius: 0.35rem;
  background: #eb3000;
  color: white;
  text-align: center;
  text-decoration: none !important;
  font-weight: 700;
  font-size: 18px;
  transition: background-color 0.3s;
}

.poker-block .signup-btn:hover {
  background: #b33629;
  color: white;
  text-decoration: none;
}

.poker-block .review-link {
  position: relative;
  z-index: 10;
  padding: 0.5rem;
  border-radius: 0.35rem;
  color: #666;
  text-decoration: underline;
  font-size: 16px;
}
.poker-block .review-link:hover {
  background: #f5f5f5;
  color: #000;
}
.poker-block .review-link::after {
  position: absolute;
  content: '';

  inset: -0.3rem;
}

.poker-block .details {
  padding: 1rem 1.5rem;
  background: #eee;
  background: linear-gradient(to bottom, #eee, #f5f5f5 10%, white);
  font-size: 0.85rem;
}
.poker-block .details-grid {
  display: grid;
  align-items: start;
  margin: 0 auto;
  max-width: 340px;

  grid-template-columns: 1fr;
  gap: 1rem;
}

@media screen and (min-width: 768px) {
  .poker-block .details-grid {
    margin: 0;
    max-width: 700px;
  }
}
@media screen and (min-width: 1180px) {
  .poker-block .details-grid {
    max-width: none;

    grid-template-columns: 1fr 1fr;
    gap: 4rem;
  }
}

.poker-block .ratings {
  display: grid;
  align-items: start;

  grid-template-columns: 1fr;
  grid-gap: 0.75rem;
}

@media screen and (min-width: 768px) {
  .poker-block .ratings {
    grid-template-columns: 1fr 1fr;
    grid-gap: 0.75rem 2rem;
  }
}

.poker-block .rating-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: #333;
  font-size: 16px;
  line-height: 16px;

  gap: 16px;
}

.poker-block .stars {
  display: flex;
  align-items: center;
  color: #777;
  white-space: nowrap;
  font-weight: bold;

  gap: 2px;
}

.poker-block .features {
  display: grid;
  align-items: start;

  grid-template-columns: 1fr;
  grid-gap: 0.75rem;
}

@media screen and (min-width: 768px) {
  .poker-block .features {
    grid-template-columns: 1fr 1fr;
    grid-gap: 0.75rem 2rem;
  }
}

.poker-block .feature {
  display: flex;
  align-items: start;
  color: #333;
  line-height: 16px;

  gap: 8px;
}

.poker-block .footer {
  padding-left: 12px;
  background: #333;
  color: #d3d3d3;
  font-size: 14px;
}
